www.cendio.com
Bug 6168 - thinlinc-login crashes when given empty -c argument
: thinlinc-login crashes when given empty -c argument
Status: CLOSED FIXED
: ThinLinc
VSM Server
: 1.3.1
: PC Unknown
: P2 Normal
: 4.8.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2017-02-17 10:53 by
Modified: 2017-03-27 14:52 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2017-02-17 10:53:54
$ thinlinc-login -c ''
Traceback (most recent call last):
  File "/usr/bin/thinlinc-login", line 212, in <module>
    II1i1IiiIIi11 ( )
  File "/usr/bin/thinlinc-login", line 132, in II1i1IiiIIi11
    IiiiIiI1iIiI1 ( )
  File "/usr/bin/thinlinc-login", line 31, in IiiiIiI1iIiI1
    if ooo0Oo0 [ 0 ] . endswith ( "thinlinc-login" ) or ooo0Oo0 [ 0 ] == os .
path . join ( prefix . get_tl_prefix ( ) , "etc" , "xsession" ) :
IndexError: list index out of range
------- Comment #2 From cendio 2017-02-20 14:41:09 -------
Verified using build tl-4.7.0post_5377.r32212.jenkins543-server.zip.

Works as expected.